SmithWaterman< maxReadLengthH, maxReferenceLengthH, HCellType, Atype, Btype, QualityType, readIndexType, referenceIndexType >::weight Struct Reference

## Public Attributes

int | match
int | misMatch
int | insert
int | del

## Detailed Description

### template<int maxReadLengthH, int maxReferenceLengthH, typename HCellType, typename Atype, typename Btype, typename QualityType, typename readIndexType, typename referenceIndexType>
struct SmithWaterman< maxReadLengthH, maxReferenceLengthH, HCellType, Atype, Btype, QualityType, readIndexType, referenceIndexType >::weight

Definition at line 139 of file SmithWaterman.h.

The documentation for this struct was generated from the following file:

- general/SmithWaterman.h